/*
    Renfort pour piste Mario Kart Live
    Debian 9.5 Stretch @ kirin / 20220629 / pierre @ lesporteslogiques.net
    OpenSCAD 2021.1
      + roundedcube.scad (par Daniel Upshaw) : https://danielupshaw.com/openscad-rounded-corners/
*/


use <roundedcube.scad>;

// Socle 
translate([0, 0, 1.5]) color([0, 1, 0, 0.5]) cylinder($fn=36, h=3, r=20, center=true);

// Pilier avec trous

difference() {
    translate([0,0,28.5]) color([1, 0.5, 0]) roundedcube(size = [26, 26, 52], center = true, radius = 0.5, apply_to = "all");
    union() {
        rotate([90, 270, 0]) translate([17, 0, -18.5]) trou(); 
        rotate([90, 270, 0]) translate([41, 0, -18.5]) trou();
    }
}

// -----------------------------------------------------------------------

module trou() {
    color([1, 0, 0, 1]) cylinder($fn=36, h=80, r=10.5, center=true);
}